/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSFontFaceRule_H___INT_
#define __GdomCSSFontFaceRule_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomCSSRule.h"
#include "GDOMObject.h"
#include "CSSFontFaceRule.h"
G_BEGIN_DECLS
class GDOMCSSFontFaceRule : public GDOMCSSRule {
    typedef GDOMCSSRule Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_FONT_FACE_RULE; }
    GDOMCSSFontFaceRule(PassRefPtr<WebCore::CSSFontFaceRule> impl);
};
G_END_DECLS

#endif /* __GdomCSSFontFaceRule_H___INT_*/
